cURL
curl -H "Authorization: Bearer <access_token>" \
"https://api.fitsociety.io/public/v1/coaches?limit=50&search=doe"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/coaches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/coaches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 100,
"total": 2,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false,
"data": [
{
"_id": "66f7b8b1e13c8d25f4d3d90a",
"firstName": "John",
"lastName": "Doe",
"email": "john@fitsociety.io",
"role": "Coach",
"language": "nl",
"trainerStatus": true,
"image": "https://cdn.example.com/coach.jpg",
"lastActive": "2024-08-20T10:00:00.000Z",
"online": false
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Coaches
List coaches for the authenticated company
Lists coaches for the company authenticated by the Public API Bearer token. The token must include coaches:read.
GET
/
public
/
v1
/
coaches
cURL
curl -H "Authorization: Bearer <access_token>" \
"https://api.fitsociety.io/public/v1/coaches?limit=50&search=doe"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/coaches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/coaches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"page": 1,
"limit": 100,
"total": 2,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false,
"data": [
{
"_id": "66f7b8b1e13c8d25f4d3d90a",
"firstName": "John",
"lastName": "Doe",
"email": "john@fitsociety.io",
"role": "Coach",
"language": "nl",
"trainerStatus": true,
"image": "https://cdn.example.com/coach.jpg",
"lastActive": "2024-08-20T10:00:00.000Z",
"online": false
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Query Parameters
Page number (1-based).
Example:
1
Items per page (max 500).
Example:
100
Case-insensitive search on first name, last name, or email.
Example:
"doe"
Filter by coach role.
Available options:
Coach, Manager, Admin